## py-nightscout 1.3.3

=== requirements.txt ===
python-dateutil
coverage
pytz
aiohttp>=3.6.1

=== debian/changelog ===
py-nightscout (1.3.3-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 17 Nov 2024 15:10:46 +0100

py-nightscout (1.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1087518)

 -- Edward Betts <edward@4angle.com>  Thu, 14 Nov 2024 18:00:30 +0100

=== debian/control ===
Source: py-nightscout
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-dateutil <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-tz <!nocheck>,
 tzdata-legacy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/marciogranzotto/py-nightscout
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/py-nightscout
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/py-nightscout.git

Package: python3-py-nightscout
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Async interface to access Nightscout CGM data
 This library provides an asynchronous interface for accessing data stored in
 Nightscout, a remote monitoring platform for continuous glucose monitoring
 (CGM). It allows users to fetch and manage their CGM data efficiently from a
 Nightscout server. Interaction with Nightscout involves retrieving live
 updates and historical data related to blood glucose levels. The
 straightforward design ensures reliable data communication between the user
 and their Nightscout setup over a cloud-based connection. Users needing
 authenticated access can securely interface with their Nightscout instances,
 ensuring privacy and data integrity. This connectivity supports various
 applications ranging from simple monitoring solutions to more complex health
 data integration setups. Interaction is primarily achieved through cloud
 polling methods, enabling timely and accurate data retrieval as required.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=py-nightscout
export PYBUILD_TEST_PYTEST=1
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf py_nightscout.egg-info/

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-aioresponses,
 python3-all,
 python3-pytest,
 python3-pytest-asyncio,
 tzdata-legacy,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/py-nightscout-$1\.tar\.gz/ \
  https://github.com/marciogranzotto/py-nightscout/tags .*/v?(\d\S+)\.tar\.gz
